Package Gnumed :: Package timelinelib :: Package features :: Package experimental :: Module experimentalfeaturecontainersize :: Class ExperimentalFeatureContainerSize |
[frames] | no frames]

# Class ExperimentalFeatureContainerSize

source code

                             object --+
                                      |
                        feature.Feature --+
                                          |
    experimentalfeature.ExperimentalFeature --+
                                              |
                                             ExperimentalFeatureContainerSize

Instance Methods
__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code
get_extra_outer_padding_to_avoid_vertical_overlapping(self) | source code
get_vertical_larger_box_rect(self, rect) | source code
draw_container_text_top_adjusted(self, text, dc, rect) | source code
Inherited from `experimentalfeature.ExperimentalFeature`: `enabled`, `get_config`, `set_active` Inherited from `feature.Feature`: `get_config_name`, `get_description`, `get_display_name` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)